Subject: bug#46990: 28.0.50; popup menu not navigable via arrow keys on lucid build

From: Po Lu <[email-masked]>
Date: Mon, 20 Jun 2022 21:10:14 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> const char *
> x_get_string_resource (void *v_rdb, const char *name, const char *class)
> {
> [...]
>   if (inhibit_x_resources)
>     /* --quick was passed, so this is a no-op.  */
>     return NULL;
>
> But I guess the Lucid calls are via a different path?  (I'm having
> issues with trying to follow the call sequence here...)  I'm not sure
> whether the Lucid stuff goes through xrdb.c at all?

No, it doesn't.  It uses whatever database was set as the default for
the display connection, see x_load_resources and what is currently line
26337 of xterm.c:

#ifdef HAVE_XRMSETDATABASE
  XrmSetDatabase (dpyinfo->display, xrdb);
#else
  dpyinfo->display->db = xrdb;
#endif